--- a/drivers/macintosh/therm_adt746x.c	2005-05-04 10:19:21.000000000 +0200
+++ b/drivers/macintosh/therm_adt746x.c	2005-05-04 10:45:50.000000000 +0200
@@ -545,6 +545,12 @@
 	else
 		return -ENODEV;
 
+	prop = (u32 *)get_property(np, "hwsensor-params-version", NULL);
+	printk(KERN_INFO "adt746x: version %d (%ssupported)\n", *prop,
+			 (*prop == 1)?"":"un");
+	if (*prop != 1)
+		return -ENODEV;
+
 	prop = (u32 *)get_property(np, "reg", NULL);
 	if (!prop)
 		return -ENODEV;
